// trigger: Read packets consciously from EAST, and react to them as normal packets

void nmeaHandler(u8 * packet) { // Handle input as desired
  logNormal("NMEA data: %#p\n" ,packet); // Here, we'll just log it NORTH
}

void setup() {
  EastFace.begin(4800,false);   // Conscious packets east; 4800 8N1 is slow but sure
  Body.reflex('$',nmeaHandler); // Regular NMEA 0183 packets start with '$'
  setLogFace(NORTH);            // Send logging NORTH. (ALL_FACES is another good choice)
}

void loop() { 
  u8 * packet = EastFace.readPacket(); // Check for input from the GPS
  if (packet)                          // Got something..
    Body.trigger(packet, EAST);        // ..so go trigger our reflexes on it
}
